#!/usr/bin/env zsh

local i3lock_args=()

for arg; do
    case "${arg}"; in
    --no-empty-pass|-e)
        i3lock_args+=(-e)
        ;;
    esac
done

dunstctl set-paused true
xset dpms 0 0 15
i3lock ${i3lock_args} -n -i "$1"
xset -dpms
dunstctl set-paused false
mailnag &
